package buildme_test

import (
	"buildme"
	"buildme/internal/builder"
	"testing"

	"dev.hexasoftware.com/hxs/prettylog"
)

func TestBuildMe(t *testing.T) {
	prettylog.Global()
	t.Log("Testing builder")

	bm := buildme.New()
	bm.AddBuilder(buildme.Type("git"), &builder.Git{})
	bm.Build("git", "http://dev.hexasoftware.com/stdio/sampleapp.git")
}
